com.collabnet.ce.soap60.webservices.discussion

## Class ForumSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
  - - com.collabnet.ce.soap60.webservices.discussion.ForumSoapRow

-     public class ForumSoapRow
      extends FolderSoapRow

  A forum list is represented by ForumSoapList class. Each row within a forum list is represented by the ForumSoapRow class.
  Change History
  Release: 6.0
  - Added forum specific fields in addition to folder fields
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForumSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFooter()` Returns 'footer'.
    `String` | `getForumType()` Returns 'forumType'.
    `boolean` | `getIsListEnabled()` Returns 'isListEnabled'.
    `String` | `getListName()` Returns 'listName'.
    `String` | `getPrefix()` Returns 'prefix'.
    `boolean` | `getPrivateForum()` Returns 'privateForum'.
    `String` | `getReplyto()` Returns 'replyto'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setFooter(String footer)` Sets 'footer'.
    `void` | `setForumType(String forumType)` Sets 'forumType'.
    `void` | `setIsListEnabled(boolean isListEnabled)` Sets 'isListEnabled'.
    `void` | `setListName(String listName)` Sets 'listName'.
    `void` | `setPrefix(String prefix)` Sets 'prefix'.
    `void` | `setPrivateForum(boolean privateForum)` Sets 'privateForum'.
    `void` | `setReplyto(String replyto)` Sets 'replyto'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

      `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForumSoapRow

          public ForumSoapRow()

  - ### Method Detail

    - #### getIsListEnabled

          public boolean getIsListEnabled()

      Returns 'isListEnabled'. Whether the mailing list is enabled for the forum
      Returns:
        Value of 'isListEnabled'.

    - #### setIsListEnabled

          public void setIsListEnabled(boolean isListEnabled)

      Sets 'isListEnabled'. Whether the mailing list is enabled for the forum
      Parameters:
        `isListEnabled` - Value of 'isListEnabled'.

    - #### getListName

          public String getListName()

      Returns 'listName'. The name of the list associated with this forum (SfName)
      Returns:
        Value of 'listName'.

    - #### setListName

          public void setListName(String listName)

      Sets 'listName'. The name of the list associated with this forum (SfName)
      Parameters:
        `listName` - Value of 'listName'.

    - #### getPrefix

          public String getPrefix()

      Returns 'prefix'. The subject prefix associated with this forum
      Returns:
        Value of 'prefix'.

    - #### setPrefix

          public void setPrefix(String prefix)

      Sets 'prefix'. The subject prefix associated with this forum
      Parameters:
        `prefix` - Value of 'prefix'.

    - #### getFooter

          public String getFooter()

      Returns 'footer'. The footer text associated with this forum
      Returns:
        Value of 'footer'.

    - #### setFooter

          public void setFooter(String footer)

      Sets 'footer'. The footer text associated with this forum
      Parameters:
        `footer` - Value of 'footer'.

    - #### getForumType

          public String getForumType()

      Returns 'forumType'. The forum type whether moderatored(MF) or un-moderated(UF)
      Returns:
        Value of 'forumType'.

    - #### setForumType

          public void setForumType(String forumType)

      Sets 'forumType'. The forum type whether moderatored(MF) or un-moderated(UF)
      Parameters:
        `forumType` - Value of 'forumType'.

    - #### getPrivateForum

          public boolean getPrivateForum()

      Returns 'privateForum'. Whether the forum is private (1) or public (0)
      Returns:
        Value of 'privateForum'.

    - #### setPrivateForum

          public void setPrivateForum(boolean privateForum)

      Sets 'privateForum'. Whether the forum is private (1) or public (0)
      Parameters:
        `privateForum` - Value of 'privateForum'.

    - #### getReplyto

          public String getReplyto()

      Returns 'replyto'. The reply to behavior set for the forum
      Returns:
        Value of 'replyto'.

    - #### setReplyto

          public void setReplyto(String replyto)

      Sets 'replyto'. The reply to behavior set for the forum
      Parameters:
        `replyto` - Value of 'replyto'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.